Ubuntu

package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: if /dev/input/uinput is missing

Reported by Robert J. Marks on 2010-08-12
356
This bug affects 35 people
Affects Status Importance Assigned to Milestone
g15daemon (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: g15daemon

From DpkgTerminalLog.txt:

Setting up g15daemon (1.9.5.3-8ubuntu1) ...
Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
dpkg: error processing g15daemon (--configure):
 subprocess installed post-installation script returned error exit status 1

ProblemType: PackageDistroRelease: Ubuntu 10.04
Package: g15daemon 1.9.5.3-8ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-24.39-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic i686
Architecture: i386
Date: Thu Aug 12 19:21:08 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
SourcePackage: g15daemon
Title: package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Robert J. Marks (rjmarks) wrote :
Kees Cook (kees) on 2010-08-28
security vulnerability: yes → no
visibility: private → public
description: updated
summary: - package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: subprocess
- installed post-installation script returned error exit status 1
+ package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: if
+ /dev/input/uinput is missing
Changed in g15daemon (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Bryce Harrington (bryce) on 2010-12-11
tags: added: coc
nelson (rubera-x13) on 2011-01-07
security vulnerability: no → yes
visibility: public → private

thank you for the update.

On Fri, Jan 7, 2011 at 4:29 PM, nelson <email address hidden> wrote:

> ** Visibility changed to: Private
>
> ** This bug has been flagged as a security vulnerability
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/617101
>
> Title:
> package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: if
> /dev/input/uinput is missing
>
> Status in “g15daemon” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: g15daemon
>
> >From DpkgTerminalLog.txt:
>
> Setting up g15daemon (1.9.5.3-8ubuntu1) ...
> Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d:
> initscript g15daemon, action "start" failed.
> dpkg: error processing g15daemon (--configure):
> subprocess installed post-installation script returned error exit status 1
>
> ProblemType: PackageDistroRelease: Ubuntu 10.04
> Package: g15daemon 1.9.5.3-8ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-24.39-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic i686
> Architecture: i386
> Date: Thu Aug 12 19:21:08 2010
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 1
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> SourcePackage: g15daemon
> Title: package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade:
> subprocess installed post-installation script returned error exit status 1
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/g15daemon/+bug/617101/+subscribe
>

luis olarte (lott11slott) wrote :

i thank you for responses and time and efforts.
thank you again.

On Sat, Jan 8, 2011 at 4:11 PM, Kristofer Johnson
<email address hidden> wrote:
> thank you for the update.
>
> On Fri, Jan 7, 2011 at 4:29 PM, nelson <email address hidden>
> wrote:
>
>> ** Visibility changed to: Private
>>
>> ** This bug has been flagged as a security vulnerability
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/617101
>>
>> Title:
>>  package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: if
>> /dev/input/uinput is missing
>>
>> Status in “g15daemon” package in Ubuntu:
>>  Triaged
>>
>> Bug description:
>>  Binary package hint: g15daemon
>>
>> >From DpkgTerminalLog.txt:
>>
>> Setting up g15daemon (1.9.5.3-8ubuntu1) ...
>> Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d:
>> initscript g15daemon, action "start" failed.
>> dpkg: error processing g15daemon (--configure):
>>  subprocess installed post-installation script returned error exit status 1
>>
>> ProblemType: PackageDistroRelease: Ubuntu 10.04
>> Package: g15daemon 1.9.5.3-8ubuntu1
>> ProcVersionSignature: Ubuntu 2.6.32-24.39-generic 2.6.32.15+drm33.5
>> Uname: Linux 2.6.32-24-generic i686
>> Architecture: i386
>> Date: Thu Aug 12 19:21:08 2010
>> ErrorMessage: subprocess installed post-installation script returned error
>> exit status 1
>> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
>> SourcePackage: g15daemon
>> Title: package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade:
>> subprocess installed post-installation script returned error exit status 1
>>
>>
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/g15daemon/+bug/617101/+subscribe
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/617101
>
> Title:
>  package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: if /dev/input/uinput is missing
>
> Status in “g15daemon” package in Ubuntu:
>  Triaged
>
> Bug description:
>  Binary package hint: g15daemon
>
> >From DpkgTerminalLog.txt:
>
> Setting up g15daemon (1.9.5.3-8ubuntu1) ...
> Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
> dpkg: error processing g15daemon (--configure):
>  subprocess installed post-installation script returned error exit status 1
>
> ProblemType: PackageDistroRelease: Ubuntu 10.04
> Package: g15daemon 1.9.5.3-8ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-24.39-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic i686
> Architecture: i386
> Date: Thu Aug 12 19:21:08 2010
> ErrorMessage: subprocess installed post-installation script returned error exit status 1
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> SourcePackage: g15daemon
> Title: package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/g15daemon/+bug/617101/+subscribe
>

Brian O'Sullivan (mailbos) wrote :

i thank you for responses and time and efforts.
thank you again.

Brian O'Sullivan (mailbos) wrote :

its still crashing though ... every time i update.

luis olarte (lott11slott) wrote :

yes it still crashes after every up date and lately it is hangs.
what I mean it leaterly hangs on any program that is running on.
like running VLC and k3b or if I am updating and doing any thing on at
same time it hangs, and can not witch from one to the other.
and it dose not matter what I am doing, all it take's is two peaces
of software running at the same time.
or if i pause the any media player like vlc or banshee, amarok,
audacity, audacious.
or even running Opera 11, Firefox, chromium, and I go to another app
it hangs and lately even after 15 min of waiting I can not even log
out nor change from one app to another.
it like working in ms full of virus.
it is not like i do not have resources my swap space is 11.3 Gbs ram 4
Gb ddr2 667 20 Gb for root 132 Gb ext4 for home 20 Gb NTFS for XP Pro
on 500 Gb drives Hitachi 7200 rpm 32 mg cache Asus M2 HDMI and 3 other
drives 500 Gbs each 1 for media the other are for Date.
and lately I have not done any have work on it, like for the past
month no time at home mostly on the laptop and on the other PC.
this one is not even on the network for the past 4 months.
it is like as soon it goses on line it gets hack that was 2 month ago.
I stop the britches in the network and it just dose not make any sense
no one is getting or any rouged app running.
I think I shall just start from scratch on this PC, just format every
thing and go from there.
well thanks any way, if I some time free next week I shall do that.

On Sun, Feb 20, 2011 at 10:42 PM, Brian O'Sullivan
<email address hidden> wrote:
> its still crashing though ... every time i update.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/617101
>
> Title:
>  package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: if
>  /dev/input/uinput is missing
>
> Status in “g15daemon” package in Ubuntu:
>  Triaged
>
> Bug description:
>  Binary package hint: g15daemon
>
>  From DpkgTerminalLog.txt:
>
>  Setting up g15daemon (1.9.5.3-8ubuntu1) ...
>  Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
>  dpkg: error processing g15daemon (--configure):
>   subprocess installed post-installation script returned error exit status 1
>
>  ProblemType: PackageDistroRelease: Ubuntu 10.04
>  Package: g15daemon 1.9.5.3-8ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.32-24.39-generic 2.6.32.15+drm33.5
>  Uname: Linux 2.6.32-24-generic i686
>  Architecture: i386
>  Date: Thu Aug 12 19:21:08 2010
>  ErrorMessage: subprocess installed post-installation script returned error exit status 1
>  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
>  SourcePackage: g15daemon
>  Title: package g15daemon 1.9.5.3-8ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/g15daemon/+bug/617101/+subscribe
>

security vulnerability: yes → no
visibility: private → public
nelson (rubera-x13) wrote :

hi i from mexico
mmm hola q tal siempre me aparece este error cada vez q actualizo el software me marca eso no se pero seria mucho pedir q me ayudacen para reparar este bug
se los agradesco quedando de ustede

Ákos Maróy (akos-maroy) wrote :

I seem to have the same issue, I get the following when trying to install:

$ sudo apt-get install g15daemon
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  g15daemon
0 upgraded, 1 newly installed, 0 to remove and 15 not upgraded.
Need to get 0 B/35.9 kB of archives.
After this operation, 242 kB of additional disk space will be used.
Selecting previously deselected package g15daemon.
(Reading database ... 137228 files and directories currently installed.)
Unpacking g15daemon (from .../g15daemon_1.9.5.3-8.1ubuntu2_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Setting up g15daemon (1.9.5.3-8.1ubuntu2) ...
Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
dpkg: error processing g15daemon (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 g15daemon
E: Sub-process /usr/bin/dpkg returned an error code (1)

but still, dpgk considers the package to be installed. then I get:

$ sudo /etc/init.d/g15daemon start
Starting g15daemon: .../dev/input/uinput not found ...

what is wrong here?

ajack38 (ajack-94) wrote :

This is what I receive after I try to install something:

installArchives() failed: Selecting previously deselected package libtorrent-rasterbar6.
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 317713 files and directories currently installed.)
Unpacking libtorrent-rasterbar6 (from .../libtorrent-rasterbar6_0.15.5-1_i386.deb) ...
Selecting previously deselected package qbittorrent.
Unpacking qbittorrent (from .../qbittorrent_2.6.9-2_i386.deb) ...
Selecting previously deselected package qbittorrent-dbg.
Unpacking qbittorrent-dbg (from .../qbittorrent-dbg_2.6.9-2_i386.deb) ...
Processing triggers for man-db ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_AU.UTF8.cache...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for menu ...
Processing triggers for python-support ...
Setting up g15daemon (1.9.5.3-8.1ubuntu2) ...
Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
dpkg: error processing g15daemon (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of g15macro:
 g15macro depends on g15daemon; however:
  Package g15daemon is not configured yet.
dpkg: error processing g15macro (--configure):
 dependency problems - leaving unconfigured
Setting up libtorrent-rasterbar6 (0.15.5-1) ...
No apport report written because the error message indicates its a followup error from a previous failure.
Setting up qbittorrent (2.6.9-2) ...
Setting up qbittorrent-dbg (2.6.9-2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
Errors were encountered while processing:
 g15daemon
 g15macro
Setting up g15daemon (1.9.5.3-8.1ubuntu2) ...
Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
dpkg: error processing g15daemon (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of g15macro:
 g15macro depends on g15daemon; however:
  Package g15daemon is not configured yet.
dpkg: error processing g15macro (--configure):
 dependency problems - leaving unconfigured

Is there anyway to fix this via terminal?

ajack38 (ajack-94) wrote :

Just tried to install g15daemon and I got this error:

Reading package lists... Done
Building dependency tree
Reading state information... Done
g15daemon is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 481 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up g15daemon (1.9.5.3-8.1ubuntu2) ...
Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
dpkg: error processing g15daemon (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of g15macro:
 g15macro depends on g15daemon; however:
  Package g15daemon is not configured yet.
dpkg: error processing g15macro (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          Errors were encountered while processing:
 g15daemon
 g15macro
E: Sub-process /usr/bin/dpkg returned an error code (1)

Cubetti2003 (cubetti2003) wrote :

no idea what failed.

Changed in g15daemon (Ubuntu):
status: Triaged → Fix Released
Brian Murray (brian-murray) wrote :

Setting back to triaged since there is no indication why or how it was fixed.

Changed in g15daemon (Ubuntu):
status: Fix Released → Triaged
Markus Demmel (az-zankapfel) wrote :

I've stumbled over a comment on the ubuntu forums which states, that /dev/input/uinput moved to /dev/uinput

http://ubuntuforums.org/showthread.php?t=1580685

I've replaced it and created a patch, which works for me.

The attachment "Patch for /etc/init.d/g15daemon" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Luis

Luis Olarte
Business Supplies and Equipment Professional
Miami/Fort Lauderdale Area

Confirm that you know Luis Olarte:
https://www.linkedin.com/e/-oyorkm-h1z96d6y-65/isd/7017945595/YpBGhZ3X/?hs=false&tok=3rRSjOpiiIURc1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-oyorkm-h1z96d6y-65/zr0b4Glh7dla4LItFgDR-PxhKIS7z4kL8tqrH-q/goo/617101%40bugs%2Elaunchpad%2Enet/20061/I2401968007_1/?hs=false&tok=1Pmh7z-CSIURc1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

just do

sudo apt-get remove g15daemon

it will start work.

cvt (christianvalat) wrote :

sudo apt-get install sysinfo
Bonjour , pouvez-vous me donner la procédure de netoyage des logiciels
merci
cordialement
Chris

SecpIpin (granopolis) on 2013-09-20
Changed in g15daemon (Ubuntu):
status: Triaged → Confirmed
To post a comment you must log in.